unit Enter;

(*
    Protokoly 2.1
    Copyright (C) 2002  Ing. David Motl

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*)

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, ExtCtrls;

type
  TEnterForm = class(TForm)
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Label1: TLabel;
    Edit: TEdit;
    procedure FormActivate(Sender: TObject);
  private
    { Private declarations }
  public
    { Public declarations }
  end;

Function EnterForm(AText:String; var Value:String):boolean;
         { Dialog pro zadani nejake hodnoty }

implementation

{$R *.dfm}

Function EnterForm;
var EnterForm: TEnterForm;
begin
 Application.CreateForm(TEnterForm,EnterForm);
 EnterForm.Label1.Caption:=AText; 
 EnterForm.Edit.Text:=Value;
 Result:=EnterForm.ShowModal=mrOK;
 if Result then Value:=EnterForm.Edit.Text;
 EnterForm.Free;
end;

procedure TEnterForm.FormActivate(Sender: TObject);
begin
 Edit.SetFocus; 
end;

end.
