unit KatDlg;

(*
    Protokoly 2.1
    Copyright (C) 2002  Ing. David Motl

    This program is free software; you can redistribute it and/or modify
    it under the terms of the GNU General Public License as published by
    the Free Software Foundation; either version 2 of the License, or
    (at your option) any later version.

    This program is distributed in the hope that it will be useful,
    but WITHOUT ANY WARRANTY; without even the implied warranty of
    MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the
    GNU General Public License for more details.

    You should have received a copy of the GNU General Public License
    along with this program; if not, write to the Free Software
    Foundation, Inc., 675 Mass Ave, Cambridge, MA 02139, USA.
*)

interface

uses
  Windows, Messages, SysUtils, Classes, Graphics, Controls, Forms,
  Dialogs, StdCtrls, Buttons, Spin, Katalog;

type
  TLoadKatDlg = class(TForm)
    Label1: TLabel;
    Label2: TLabel;
    Cons: TListBox;
    Star: TListBox;
    BitBtn1: TBitBtn;
    BitBtn2: TBitBtn;
    Katalog: TGroupBox;
    Label17: TLabel;
    Label18: TLabel;
    Min: TEdit;
    PER: TEdit;
    Label14: TLabel;
    RA: TEdit;
    Label16: TLabel;
    DEC: TEdit;
    procedure ConsClick(Sender: TObject);
    procedure StarClick(Sender: TObject);
  public
    Procedure NastavParam(AName:String);
    Function  Jmeno:String;
  end;

var
  LoadKatDlg: TLoadKatDlg;

Function LoadCatalog(var AJmeno:String; out ARA,ADEC,AM0,AP:String):boolean;

implementation

{$R *.dfm}

Function LoadCatalog;
begin
 if not Assigned(LoadKatDlg) then Application.CreateForm(TLoadKatDlg,LoadKatDlg);
 LoadKatDlg.NastavParam(AJmeno);
 Result:=LoadKatDlg.ShowModal=mrOK;
 if Result then with LoadKatDlg do begin
   AJmeno:=Jmeno;
   ARA :=RA.Text;
   ADEC:=DEC.Text;
   AM0 :=Min.Text;
   AP  :=Per.Text;
 end;
end;

Procedure TLoadKatDlg.NastavParam;
var C:String;
begin
 Screen.Cursor:=crHourGlass;
 try
   Kat.Update;
   Cons.ItemIndex:=Kat.ConsList(Cons.Items,AName);
   with Cons do if ItemIndex>=0 then C:=Items[ItemIndex] else C:='';
   Star.ItemIndex:=Kat.StarList(Star.Items,C,AName);
   StarClick(NIL);
 finally
   Screen.Cursor:=crDefault;
 end;
end;

procedure TLoadKatDlg.ConsClick(Sender: TObject);
var C:String;
begin
 with Cons do if ItemIndex>=0 then C:=Items[ItemIndex] else C:='';
 Kat.StarList(Star.Items,C,'');
 Star.ItemIndex:=0;
 StarClick(NIL); 
end;

procedure TLoadKatDlg.StarClick(Sender: TObject);
var R,D,M,P:String;
begin
 Kat.LoadRec(Jmeno,R,D,M,P);
 RA.Text :=R;
 DEC.Text:=D;
 Min.Text:=M;
 PER.Text:=P;
end;

Function TLoadKatDlg.Jmeno;
begin
 with Star do if ItemIndex>=0 then Result:=Items[ItemIndex] else Result:='';
end;

end.
