;--------------------------------
; Protokoly 2.8 installer script
; Copyright 2005 David Motl
;--------------------------------

!include "MUI.nsh"
!define VERSION "2.8"
!define SRCDIR  ".."
!define DOCDIR  "..\doc"
!define OUTDIR  "..\pub"
!define URL     "http://www.motl.cz/dmotl/protokoly/"

; The name of the installer
Name "Protokoly ${VERSION}"

; The file to write
OutFile "${OUTDIR}\protokoly-${VERSION}-win32.exe"

; The default installation directory
InstallDir "$PROGRAMFILES\Protokoly"

;--------------------------------

; Pages

!define MUI_FINISHPAGE_LINK "Internet: ${URL}"
!define MUI_FINISHPAGE_LINK_LOCATION "${URL}"

!define MUI_FINISHPAGE_RUN "$INSTDIR\Protokoly.exe"
!define MUI_FINISHPAGE_RUN_TEXT "Spustit program Protokoly"
!define MUI_FINISHPAGE_NOREBOOTSUPPORT

!insertmacro MUI_PAGE_WELCOME
; !insertmacro MUI_PAGE_LICENSE "${DOCDIR}\gpl.txt"
!insertmacro MUI_PAGE_DIRECTORY
!insertmacro MUI_PAGE_INSTFILES
!insertmacro MUI_PAGE_FINISH

!insertmacro MUI_LANGUAGE "Czech"

;--------------------------------

; The stuff to install
Section "Program Protokoly" 
  SetOutPath $INSTDIR
  File ${SRCDIR}\protokoly.exe
  File ${SRCDIR}\protokoly.chm
  File ${SRCDIR}\brka.dat
  File ${SRCDIR}\prosper.dat
  CreateDirectory "$SMPROGRAMS\Protokoly"
  CreateShortCut "$SMPROGRAMS\Protokoly\Protokoly.lnk" "$INSTDIR\Protokoly.exe" "" "$INSTDIR\Protokoly.exe" 0
  CreateShortCut "$SMPROGRAMS\Protokoly\Elektronick Npovda.lnk"   "$INSTDIR\Protokoly.chm" "" "$INSTDIR\Protokoly.chm" 0
  ;Create uninstaller
  WriteUninstaller "$INSTDIR\Uninstall.exe"
  CreateShortCut "$SMPROGRAMS\Pedpovdi minim\Odinstalovat program.lnk" "$INSTDIR\Uninstall.exe" "" "$INSTDIR\Uninstall.exe" 0
SectionEnd 

;--------------------------------
;Uninstaller Section

Section "Uninstall"
  Delete "$SMPROGRAMS\Protokoly\Protokoly.lnk"
  Delete "$SMPROGRAMS\Protokoly\Elektronick npovda.lnk"
  Delete "$SMPROGRAMS\Protokoly\Odinstalovat program.lnk"
  RMDir  "$SMPROGRAMS\Protokoly"
  Delete "$INSTDIR\Protokoly.exe"
  Delete "$INSTDIR\Protokoly.chm"
  Delete "$INSTDIR\Protokoly.cfg"
  Delete "$INSTDIR\Brka.dat"
  Delete "$INSTDIR\Prosper.dat"
  Delete "$INSTDIR\Uninstall.exe"
  RMDir  "$INSTDIR"
SectionEnd
